Bug 1630946

Summary: pyjokes: Remove (sub)packages from Fedora 30+: python2-pyjokes
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: pyjokesAssignee: Paul Whalen <pwhalen>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, igor.raits, mhroncok, ngompa13, pbrobinson, projects.rg, pviktori, pwhalen, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-11 03:24:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-09-19 15:11:40 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of pyjokes were marked for removal:

 * python2-pyjokes

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Raphael Groner 2018-12-10 22:46:28 UTC
Why got this package orphaned?

This package has a dependency to pyjokes. Can you tell about differences?

Comment 2 Raphael Groner 2018-12-10 22:47:48 UTC
pyjoke has a dependency to pyjokes. pyjoke is orphaned.